Social Fetch
Twitch

Get Twitch clip

Get metadata and playback URLs for a Twitch clip by URL.

GET/v1/twitch/clips
1credit
x-api-key*stringheader

API key (`sfk_...`)

Parameters
1
url*stringquery

Link to the Twitch clip.

min 1 chars · max 4096 chars

Response fields
56

Endpoint-specific response payload.

datalookupStatus
string

Whether the clip was found.

one of: found, not_found

Clip details when found.

dataclipid
string

Twitch clip id.

min 1 chars

dataclipslug
stringnullable

Clip slug when available.

dataclipurl
stringnullable

Canonical public clip URL.

dataclipembedUrl
stringnullable

Embeddable clip URL when available.

datacliptitle
stringnullable

Clip title when available.

dataclipviewCount
integernullable

View count when available.

≥ 0

datacliplanguage
stringnullable

Clip language code when available.

dataclipdurationSeconds
numbernullable

Clip duration in seconds when available.

≥ 0

dataclipthumbnailUrl
stringnullable

Thumbnail image URL when available.

dataclipcreatedAt
stringnullable

ISO-8601 creation timestamp when available.

dataclipisFeatured
booleannullable

Whether the clip is featured when known.

dataclipvideoUrl
stringnullable

Best available signed playable video URL when available.

Game or category for the clip when available.

dataclipgameid
stringnullable

Game or category id when available.

dataclipgameslug
stringnullable

Game or category slug when available.

dataclipgamename
stringnullable

Game or category display name when available.

dataclipgameboxArtUrl
stringnullable

Box art image URL when available.

Channel that created the clip when available.

dataclipbroadcasterplatformUserId
stringnullable

Twitch user id when available.

dataclipbroadcasterhandle
stringnullable

Twitch login when available.

dataclipbroadcasterdisplayName
stringnullable

Display name when available.

dataclipbroadcasteravatarUrl
stringnullable

Profile image URL when available.

dataclipbroadcasterfollowers
integernullable

Follower count when available.

≥ 0

dataclipbroadcasterisPartner
booleannullable

Whether the user is a Twitch Partner when known.

User who clipped the moment when available.

dataclipcuratorplatformUserId
stringnullable

Twitch user id when available.

dataclipcuratorhandle
stringnullable

Twitch login when available.

dataclipcuratordisplayName
stringnullable

Display name when available.

dataclipcuratoravatarUrl
stringnullable

Profile image URL when available.

dataclipcuratorfollowers
integernullable

Follower count when available.

≥ 0

dataclipcuratorisPartner
booleannullable

Whether the user is a Twitch Partner when known.

Playable quality variants when available.

dataclipvideoQualities[]quality
stringnullable

Quality label such as 1080 or 720 when available.

dataclipvideoQualities[]frameRate
numbernullable

Frame rate when available.

≥ 0

dataclipvideoQualities[]sourceUrl
string

Direct playable video URL for this quality.

min 1 chars

Additional clips from the same broadcaster when available.

datarelatedClips[]id
string

Related clip id.

min 1 chars

datarelatedClips[]slug
stringnullable

Clip slug when available.

datarelatedClips[]url
stringnullable

Canonical public clip URL.

datarelatedClips[]title
stringnullable

Clip title when available.

datarelatedClips[]viewCount
integernullable

View count when available.

≥ 0

datarelatedClips[]durationSeconds
numbernullable

Clip duration in seconds when available.

≥ 0

datarelatedClips[]thumbnailUrl
stringnullable

Thumbnail image URL when available.

datarelatedClips[]createdAt
stringnullable

ISO-8601 creation timestamp when available.

Game or category when available.

datarelatedClips[]gameid
stringnullable

Game or category id when available.

datarelatedClips[]gameslug
stringnullable

Game or category slug when available.

datarelatedClips[]gamename
stringnullable

Game or category display name when available.

datarelatedClips[]gameboxArtUrl
stringnullable

Box art image URL when available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/twitch/clips?url=https://www.twitch.tv/staryuuki/clip/CloudySavageMarjoramRuleFive--ErzsYbE7UWvgCMQ" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Twitch clip metadata.